Bug 507453 - sound-juicer pauses/glitches audio CD playback every 16 seconds
sound-juicer pauses/glitches audio CD playback every 16 seconds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 16:05 EDT by Alex Butcher
Modified: 2009-06-30 17:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.26.1-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 586331 None None None Never

  None (edit)
Description Alex Butcher 2009-06-22 16:05:47 EDT
Description of problem:

I've configured Nautilus to Open Audio CD Extractor (sound-juicer) when an audio CD is inserted. It does this, but playback glitches/pauses every 16 seconds. This behaviour appears to be independent of the CD or drive used (I've tested a LiteOn iHDS118 and a Optiarc AD-7201S attached to the onboard Intel SATA controller of an Asus P5Q motherboard. I use snd-hda-intel to drive a Realtek ALC1200 codec).

PulseAudio is configured with 'load-module module-hal-detect tsched=0' in /etc/pulse/default.pa, as without it, when sound-juicer gets to the 16s point, it halts entirely and pops up a dialogue box saying:

"Error playing CD.

Reason: pa_stream_writable_size() failed: Connection terminated."

Other non-default PulseAudio settings are:

high-priority=yes
nice-level=-11
realtime-scheduling=yes
realtime-priority=5
rlimit-rtprio=9
default-sample-rate=48000
default-sample-channels=6
disable-lfe-remixing=no
default-fragments=8
default-fragment-size-msec=5

Reverting these to the FC11 defaults does not change the behaviour.

Disabling hal polling on the drive stops Sound Juicer from finding a disc at all.

Rhythmbox seems to be able to play the CD fine, along with the xmms-cdread plugin. VLC glitches a bit, but not quite as badly.

(The PulseAudio daemon has died)

Version-Release number of selected component (if applicable):
$ rpm -qa sound-juicer pulse\*
pulseaudio-module-gconf-0.9.15-14.fc11.x86_64
pulseaudio-libs-0.9.15-14.fc11.x86_64
pulseaudio-0.9.15-14.fc11.x86_64
pulseaudio-libs-zeroconf-0.9.15-14.fc11.x86_64
pulseaudio-module-lirc-0.9.15-14.fc11.x86_64
pulseaudio-module-x11-0.9.15-14.fc11.x86_64
pulseaudio-module-bluetooth-0.9.15-14.fc11.x86_64
pulseaudio-esound-compat-0.9.15-14.fc11.x86_64
pulseaudio-module-zeroconf-0.9.15-14.fc11.x86_64
pulseaudio-libs-0.9.15-14.fc11.i586
sound-juicer-2.26.1-1.fc11.x86_64
pulseaudio-utils-0.9.15-14.fc11.x86_64
pulseaudio-libs-glib2-0.9.15-14.fc11.x86_64

$ uname -r
2.6.29.4-167.fc11.x86_64

$ lsmod
Module                  Size  Used by
visor                  17324  0 
usbserial              33488  1 visor
ipt_MASQUERADE          3136  1 
iptable_nat             6352  1 
oprofile               40912  1 
sco                    11780  2 
bridge                 51168  0 
stp                     2644  1 bridge
llc                     6128  2 bridge,stp
bnep                   14288  2 
l2cap                  22480  3 bnep
bluetooth              53300  5 sco,bnep,l2cap
autofs4                27928  3 
hwmon_vid               2848  0 
coretemp                6768  0 
sunrpc                185448  1 
nf_nat_irc              2464  0 
nf_nat_ftp              3120  0 
nf_nat                 18628  4 ipt_MASQUERADE,iptable_nat,nf_nat_irc,nf_nat_ftp
nf_conntrack_irc        6136  1 nf_nat_irc
nf_conntrack_ftp        8280  1 nf_nat_ftp
ip6t_REJECT             4064  2 
nf_conntrack_ipv6      14632  2 
ip6table_filter         3936  1 
ip6_tables             18784  1 ip6table_filter
ipv6                  290112  38 ip6t_REJECT,nf_conntrack_ipv6
cpufreq_ondemand        7696  4 
acpi_cpufreq            9832  0 
freq_table              4816  2 cpufreq_ondemand,acpi_cpufreq
ext2                   66880  2 
fuse                   57920  6 
vfat                   10896  6 
fat                    48728  1 vfat
dm_multipath           16168  0 
raid0                   6560  2 
kvm_intel              47768  0 
kvm                   152904  1 kvm_intel
uinput                  8704  0 
dvb_pll                 9800  1 
cx22702                 6276  1 
cx88_dvb               22484  0 
cx88_vp3054_i2c         2688  1 cx88_dvb
videobuf_dvb            7124  1 cx88_dvb
dvb_core               88044  2 cx88_dvb,videobuf_dvb
nvidia              10260280  26 
snd_hda_codec_realtek   265044  1 
cx8800                 33956  0 
cx8802                 15780  1 cx88_dvb
cx88xx                 72792  3 cx88_dvb,cx8800,cx8802
snd_usb_audio          94464  1 
joydev                 11584  0 
snd_usb_lib            17328  1 snd_usb_audio
ir_common              44196  1 cx88xx
asus_atk0110            9920  0 
snd_rawmidi            23392  1 snd_usb_lib
snd_seq_device          7300  1 snd_rawmidi
i2c_algo_bit            6020  2 cx88_vp3054_i2c,cx88xx
tveeprom               13748  1 cx88xx
v4l2_common            15056  2 cx8800,cx88xx
firewire_ohci          22788  0 
snd_hda_intel          29000  2 
i2c_i801               10064  0 
pwc                    82608  0 
iTCO_wdt               13120  0 
wacom                  21240  0 
videobuf_dma_sg        11828  4 cx88_dvb,cx8800,cx8802,cx88xx
hwmon                   2904  2 coretemp,asus_atk0110
snd_hda_codec          65376  2 snd_hda_codec_realtek,snd_hda_intel
usblp                  13280  0 
usb_storage           101472  0 
firewire_core          44196  1 firewire_ohci
btcx_risc               4648  3 cx8800,cx8802,cx88xx
iTCO_vendor_support     3476  1 iTCO_wdt
i2c_core               22288  10 dvb_pll,cx22702,cx88_vp3054_i2c,nvidia,cx8800,cx88xx,i2c_algo_bit,tveeprom,v4l2_common,i2c_i801
videobuf_core          16372  5 videobuf_dvb,cx8800,cx8802,cx88xx,videobuf_dma_sg
videodev               38704  4 cx8800,cx88xx,v4l2_common,pwc
pata_pdc2027x           9124  12 
v4l1_compat            13076  1 videodev
v4l2_compat_ioctl32    10480  1 videodev
pcspkr                  2848  0 
snd_hwdep               8600  2 snd_usb_audio,snd_hda_codec
snd_pcm                79960  3 snd_usb_audio,snd_hda_intel,snd_hda_codec
snd_timer              22496  1 snd_pcm
atl1e                  33876  0 
crc_itu_t               2000  1 firewire_core
snd                    65096  16 snd_hda_codec_realtek,snd_usb_audio,snd_usb_lib,snd_rawmidi,snd_seq_device,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
soundcore               7024  1 snd
snd_page_alloc          9216  2 snd_hda_intel,snd_pcm
raid1                  21840  4 

How reproducible:


Steps to Reproduce:
1. Load an audio CD
2. Start sound-juicer
3. Attempt to play CD from the beginning and wait for regular pausing glitching (the period may be hardware dependent, I guess).
  
Actual results:

Playback pauses/glitches regularly.

Expected results:

Glitch-free playback.

Additional info:
Comment 1 Alex Butcher 2009-06-23 15:55:06 EDT
I've also reproduced this problem on an i386 install of Fedora 11 running on a Toshiba Satellite 3000-214 laptop with the intel_8x0 sound driver and a Matshita UJ-850S PATA DVD+/-RW drive.

There was no need to set tsched=0 to prevent PulseAudio from crashing, but sound-juicer still glitches every 16 seconds. Setting tsched=0 makes no difference. All other PulseAudio settings are default.
Comment 2 Bastien Nocera 2009-06-23 19:47:12 EDT
If PulseAudio crashes, then that might explain why you see playback problems.

Run:
pulseaudio -k
pulseaudio -vvv

And check whether PulseAudio crashes/aborts when you see the glitches.
Comment 4 Alex Butcher 2009-06-23 21:25:23 EDT
Re. your first query, PulseAudio only crashes on the first hardware configuration (the P5Q with Intel HDA and ALC1200 codec), and only then if tsched=0 isn't added to default.pa.

Your second note sounds on the money.
Comment 5 Fedora Update System 2009-06-24 09:52:43 EDT
gstreamer-plugins-base-0.10.23-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gstreamer-plugins-base-0.10.23-3.fc11
Comment 6 Fedora Update System 2009-06-24 10:53:57 EDT
sound-juicer-2.26.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sound-juicer-2.26.1-4.fc11
Comment 7 Alex Butcher 2009-06-24 19:01:40 EDT
That appears to work here, Bastien. Thanks! :-)
Comment 8 Fedora Update System 2009-06-26 22:41:08 EDT
sound-juicer-2.26.1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sound-juicer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6953
Comment 9 Fedora Update System 2009-06-26 22:58:49 EDT
gstreamer-plugins-base-0.10.23-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7026
Comment 10 Fedora Update System 2009-06-30 17:41:09 EDT
gstreamer-plugins-base-0.10.23-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-06-30 17:42:01 EDT
sound-juicer-2.26.1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.